New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Setup

Install backend

POST
/api/v1/setup/start

Start background installation of the chosen compute backend (mlx/cuda/cpu).

Query Parameters

backend*Backend

Backend to install: 'mlx', 'cuda', or 'cpu'

Response Body

Successful Response

application/json
  1. response
started*Started

Whether the installation was started

immediate?Immediate

Whether the installation completed immediately

Defaultfalse
Example Request
curl -X POST 'http://127.0.0.1:8100/api/v1/setup/start?backend=string'
Example Response
{  "started": true,  "immediate": false}